Internal/modules/cjs/loader.js:800 | Discord Bot v11 Error

internal/modules/cjs/loader.js:800

return process.dlopen(module, path.toNamespacedPath(filename));

             ^

Error: libpng16.so.16: cannot open shared object file: No such file or directory

at Object.Module._extensions..node (internal/modules/cjs/loader.js:800:18)

at Module.load (internal/modules/cjs/loader.js:628:32)

at Function.Module._load (internal/modules/cjs/loader.js:555:12)

at Module.require (internal/modules/cjs/loader.js:666:19)

at require (internal/modules/cjs/helpers.js:16:16)

at Object.<anonymous> (/rbd/pnpm-volume/befad5c3-a66b-42fe-a9c8-e1b52aec600e/node_modules/.registry.npmjs.org/canvas/2.6.1/node_modules/canvas/lib/bindings.js:3:18)

at Module._compile (internal/modules/cjs/loader.js:759:30)

at Object.Module._extensions..js (internal/modules/cjs/loader.js:770:10)

at Module.load (internal/modules/cjs/loader.js:628:32)

at Function.Module._load (internal/modules/cjs/loader.js:555:12)

I am getting this error and when I reviewed it, I couldn’t find any results anywhere.
Discord: v11
node: v12
—TR
Bu hatayı alıyorum ve incelediğimde hiçbir yerde sonuç bulamadım.
Discord: v11
node: v12

This moght have nothing to do with it, but you should update to discord.js v12 - v11 is outdated and doesn’t work any more.

This error code appeared when an error occurred in the linux installation. And glitch doesn’t allow root access … (would it fix if I re-edit?)

You shouldn’t need to install discord.js with root access. So yes, I’d try reinstalling.

1 Like